/*
 * generated by Xtext
 */
package org.eclipse.gemoc.execution.moccml.runstar.xtext.ui;

import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;

import com.google.inject.Injector;

import org.eclipse.gemoc.execution.moccml.runstar.xtext.ui.internal.RunstarActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class RunstarExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return RunstarActivator.getInstance().getBundle();
	}
	
	@Override
	protected Injector getInjector() {
		return RunstarActivator.getInstance().getInjector(RunstarActivator.ORG_ECLIPSE_GEMOC_EXECUTION_MOCCML_RUNSTAR_XTEXT_RUNSTAR);
	}
	
}
